<?php

function enqueue_form_assets()
{
	wp_enqueue_style('theme-style', get_stylesheet_uri());
	wp_enqueue_script('custom-script', get_template_directory_uri() . '/form.js', array('jquery'), null, true);
}
add_action('init', 'enqueue_form_assets');


function enqueue_wizard_script()
{
	wp_enqueue_script('wizard-script', get_template_directory_uri() . '/wizard.js', array('jquery'), null, true);
}
add_action('wp_enqueue_scripts', 'enqueue_wizard_script');

add_action("wp_ajax_wizard_form_action", "wizard_form_action");

function wizard_form_action()
{
	if ($_SERVER['REQUEST_METHOD'] == 'POST' && !empty($_POST['firstname']) && !empty($_POST['lastname']) && !empty($_POST['languages']) && isset($_POST['age']) && isset($_POST['gender']) && !empty($_POST['how_know']) && !empty($_POST['about_me'])) {
		insertWizardFormData();

		// Send email with form response
		sendMail();
	}
	exit();
}

function insertWizardFormData() {
	global $wpdb;
	$table_name = 'tbl_wizard_form_response';

	$data = array(
		'firstname' => $_POST['firstname'],
		'lastname' => $_POST['lastname'],
		'languages' => $_POST['languages'],
		'age' => intval($_POST['age']),
		'gender' => $_POST['gender'],
		'how_know' => $_POST['how_know'],
		'about_me' => $_POST['about_me']
	);

	$format = array(
		'%s',
		'%s',
		'%s',
		'%d',
		'%s',
		'%s',
		'%s'
	);

	$wpdb->insert($table_name, $data, $format);
}

function sendMail() {
	$to = 'RECIPIENT_EMAIL_HERE';
	$subject = 'New form submission';
	$message = "New form submission:\n\n" .
		"First Name: {$_POST['firstname']}\n" .
		"Last Name: {$_POST['lastname']}\n" .
		"Languages: {$_POST['languages']}\n" .
		"Age: {$_POST['age']}\n" .
		"Gender: {$_POST['gender']}\n" .
		"How did you hear about us?: {$_POST['how_know']}\n" .
		"About Me: {$_POST['about_me']}\n";

	wp_mail($to, $subject, $message);
}
